﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/MasterPage.master" AutoEventWireup="true"
    CodeFile="ReceiveLocation.aspx.cs" Inherits="BTOps_ReceiveLocation" Title="BizTalk Server Administration Web Console - Receive Locations"
    StylesheetTheme="Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <asp:Label ID="lblPageHeader" runat="server" CssClass="PageHeader" Text="Receive Locations" /><br />
    <br />
    <asp:Panel ID="pnlReceiveLocationInfo" runat="server">
        <asp:GridView ID="grdReceiveLocations" runat="server" EmptyDataText="No receive locations found..."
            AutoGenerateColumns="False" EnableViewState="False" DataSourceID="ReceiveLocationDS"
            DataKeyNames="Name">
            <Columns>
                <asp:TemplateField ShowHeader="False">
                    <ItemTemplate>
                        <asp:LinkButton ID="SelectLinkButton" runat="server" CausesValidation="False" CommandName="Select"
                            Text="Select" />&nbsp;
                        <asp:LinkButton ID="DeleteLinkButton" runat="server" CausesValidation="False" CommandName="Delete"
                            Text="Delete" OnClientClick="return confirm('Do you really want to delete this receive location?');" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="Name" HeaderText="Name" />
                <asp:BoundField DataField="TransportType" HeaderText="Adapter" />
                <asp:BoundField DataField="Address" HeaderText="Source Address" />
                <asp:BoundField DataField="ReceivePipelineName" HeaderText="Receive Pipeline" />
            </Columns>
        </asp:GridView>
    </asp:Panel>
    <asp:Panel ID="pnlReceiveLocationDetail" runat="server">
        <br />
        <br />
        <asp:Label ID="lblReceiveLocationDetay" runat="server" CssClass="PageHeader" Text="Receive Location Details" /><br />
        <table border="0" cellspacing="0" cellpadding="5">
            <tr>
                <td valign="top">
                    <asp:DetailsView ID="dvwReceiveLocation" runat="server" AutoGenerateRows="False"
                        DataSourceID="ReceiveLocationDetailsDS" EnableViewState="False" DataKeyNames="ReceivePortName,Name"
                        OnDataBound="dvwReceiveLocation_DataBound" OnModeChanged="dvwReceiveLocation_ModeChanged">
                        <Fields>
                            <asp:TemplateField HeaderText="Name">
                                <ItemTemplate>
                                    <asp:Label ID="lblName" runat="server" Text='<%# Eval("Name") %>' />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox ID="txtName" runat="server" Text='<%# Bind("Name") %>' ValidationGroup="ReceiveLocation" />
                                    <asp:RequiredFieldValidator ID="NameRequired" runat="server" ControlToValidate="txtName"
                                        Display="Dynamic" ErrorMessage="Receive location name is required" ValidationGroup="ReceiveLocation">*</asp:RequiredFieldValidator>
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:TextBox ID="txtName" runat="server" ValidationGroup="ReceiveLocation" />
                                    <asp:RequiredFieldValidator ID="NameRequired" runat="server" ControlToValidate="txtName"
                                        Display="Dynamic" ErrorMessage="Receive location name is required" ValidationGroup="ReceiveLocation">*</asp:RequiredFieldValidator>
                                </InsertItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Adapter">
                                <ItemTemplate>
                                    <asp:Label ID="lblTransportType" runat="server" Text='<%# Eval("TransportType") %>' />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:DropDownList ID="ddlTransportType" runat="server" ValidationGroup="ReceiveLocation"
                                        SelectedValue='<%# Bind("TransportType") %>' AutoPostBack="True" OnSelectedIndexChanged="ddlTransportType_SelectedIndexChanged">
                                        <asp:ListItem Value="" Text="Select..." />
                                        <asp:ListItem Value="FILE">FILE</asp:ListItem>
                                        <asp:ListItem Value="FTP">FTP</asp:ListItem>
                                        <asp:ListItem Value="HTTP">HTTP</asp:ListItem>
                                        <asp:ListItem Value="MQSERIES">MQSeries</asp:ListItem>
                                        <asp:ListItem Value="MSMQ">MSMQ</asp:ListItem>
                                        <asp:ListItem Value="POP3">POP3</asp:ListItem>
                                        <asp:ListItem Value="SOAP">SOAP</asp:ListItem>
                                        <asp:ListItem Value="SQL">SQL</asp:ListItem>
                                        <asp:ListItem Value="WSS">WSS</asp:ListItem>
                                    </asp:DropDownList>
                                    <asp:RequiredFieldValidator ID="TransportTypeRequired" runat="server" ErrorMessage="Select transport adapter type"
                                        ValidationGroup="ReceiveLocation" ControlToValidate="ddlTransportType" Display="Dynamic"
                                        EnableViewState="False">*</asp:RequiredFieldValidator>
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:DropDownList ID="ddlTransportType" runat="server" ValidationGroup="ReceiveLocation"
                                        AutoPostBack="True" OnSelectedIndexChanged="ddlTransportType_SelectedIndexChanged">
                                        <asp:ListItem Value="" Text="Select..." />
                                        <asp:ListItem Value="FILE">FILE</asp:ListItem>
                                        <asp:ListItem Value="FTP">FTP</asp:ListItem>
                                        <asp:ListItem Value="HTTP">HTTP</asp:ListItem>
                                        <asp:ListItem Value="MQSERIES">MQSeries</asp:ListItem>
                                        <asp:ListItem Value="MSMQ">MSMQ</asp:ListItem>
                                        <asp:ListItem Value="POP3">POP3</asp:ListItem>
                                        <asp:ListItem Value="SOAP">SOAP</asp:ListItem>
                                        <asp:ListItem Value="SQL">SQL</asp:ListItem>
                                        <asp:ListItem Value="WSS">WSS</asp:ListItem>
                                    </asp:DropDownList>
                                    <asp:RequiredFieldValidator ID="TransportTypeRequired" runat="server" ErrorMessage="Select transport adapter type"
                                        ValidationGroup="ReceiveLocation" ControlToValidate="ddlTransportType" Display="Dynamic"
                                        EnableViewState="False">*</asp:RequiredFieldValidator>
                                </InsertItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Source Address">
                                <ItemTemplate>
                                    <asp:Label ID="lblAddress" runat="server" Text='<%# Eval("Address") %>' />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox ID="txtAddress" runat="server" Columns="40" TextMode="MultiLine" ValidationGroup="ReceiveLocation"
                                        Text='<%# Bind("Address") %>' />
                                    <asp:RequiredFieldValidator ID="AddressRequired" runat="server" ErrorMessage="Source address is required"
                                        ValidationGroup="ReceiveLocation" ControlToValidate="txtAddress" Display="Dynamic"
                                        EnableViewState="False">*</asp:RequiredFieldValidator>
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:TextBox ID="txtAddress" runat="server" Columns="40" TextMode="MultiLine" ValidationGroup="ReceiveLocation" />
                                    <asp:RequiredFieldValidator ID="AddressRequired" runat="server" ErrorMessage="Source address is required"
                                        ValidationGroup="ReceiveLocation" ControlToValidate="txtAddress" Display="Dynamic"
                                        EnableViewState="False">*</asp:RequiredFieldValidator>
                                </InsertItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Receive Pipeline">
                                <ItemTemplate>
                                    <asp:Label ID="lblReceivePipelineName" runat="server" Text='<%# Eval("ReceivePipelineName") %>' />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:DropDownList ID="ddlReceivePipeline" runat="server" DataSourceID="ReceivePipelineDS"
                                        DataTextField="FullName" DataValueField="FullName" AppendDataBoundItems="True"
                                        SelectedValue='<%# Bind("ReceivePipelineName") %>'>
                                        <asp:ListItem Value="" Text="Select..." />
                                        <asp:ListItem>Microsoft.BizTalk.DefaultPipelines.PassThruReceive</asp:ListItem>
                                        <asp:ListItem>Microsoft.BizTalk.DefaultPipelines.XMLReceive</asp:ListItem>
                                    </asp:DropDownList>
                                    <asp:RequiredFieldValidator ID="ReceivePipelineRequired" runat="server" ControlToValidate="ddlReceivePipeline"
                                        Display="Dynamic" ErrorMessage="Select receive pipeline" ValidationGroup="ReceiveLocation"
                                        EnableViewState="False">*</asp:RequiredFieldValidator>
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:DropDownList ID="ddlReceivePipeline" runat="server" DataSourceID="ReceivePipelineDS"
                                        DataTextField="FullName" DataValueField="FullName" AppendDataBoundItems="True">
                                        <asp:ListItem Value="" Text="Select..." />
                                        <asp:ListItem>Microsoft.BizTalk.DefaultPipelines.PassThruReceive</asp:ListItem>
                                        <asp:ListItem>Microsoft.BizTalk.DefaultPipelines.XMLReceive</asp:ListItem>
                                    </asp:DropDownList>
                                    <asp:RequiredFieldValidator ID="ReceivePipelineRequired" runat="server" ControlToValidate="ddlReceivePipeline"
                                        Display="Dynamic" ErrorMessage="Select receive pipeline" ValidationGroup="ReceiveLocation"
                                        EnableViewState="False">*</asp:RequiredFieldValidator>
                                </InsertItemTemplate>
                            </asp:TemplateField>
                            <asp:TemplateField HeaderText="Send Pipeline">
                                <ItemTemplate>
                                    <asp:Label ID="lblSendPipelineName" runat="server" Text='<%# Eval("SendPipelineName") %>' />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:DropDownList ID="ddlSendPipeline" runat="server" DataSourceID="SendPipelineDS"
                                        DataTextField="FullName" DataValueField="FullName" AppendDataBoundItems="True"
                                        SelectedValue='<%# Bind("SendPipelineName") %>' ValidationGroup="ReceiveLocation">
                                        <asp:ListItem Value="" Text="Select..." />
                                        <asp:ListItem>Microsoft.BizTalk.DefaultPipelines.PassThruTransmit</asp:ListItem>
                                        <asp:ListItem>Microsoft.BizTalk.DefaultPipelines.XMLTransmit</asp:ListItem>
                                    </asp:DropDownList>
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:DropDownList ID="ddlSendPipeline" runat="server" DataSourceID="SendPipelineDS"
                                        DataTextField="FullName" DataValueField="FullName" AppendDataBoundItems="True"
                                        ValidationGroup="ReceiveLocation">
                                        <asp:ListItem Value="" Text="Select..." />
                                        <asp:ListItem>Microsoft.BizTalk.DefaultPipelines.PassThruTransmit</asp:ListItem>
                                        <asp:ListItem>Microsoft.BizTalk.DefaultPipelines.XMLTransmit</asp:ListItem>
                                    </asp:DropDownList>
                                </InsertItemTemplate>
                            </asp:TemplateField>
                            <asp:BoundField DataField="ReceiveHandlerName" HeaderText="Handler" />
                            <asp:CheckBoxField DataField="TwoWay" HeaderText="Two way" />
                            <asp:TemplateField HeaderText="Description">
                                <ItemTemplate>
                                    <asp:Label ID="lblDescription" runat="server" Text='<%# Eval("Description") %>' />
                                </ItemTemplate>
                                <EditItemTemplate>
                                    <asp:TextBox ID="txtDescription" runat="server" Columns="40" TextMode="MultiLine"
                                        ValidationGroup="ReceiveLocation" Text='<%# Bind("Description") %>' />
                                </EditItemTemplate>
                                <InsertItemTemplate>
                                    <asp:TextBox ID="txtDescription" runat="server" Columns="40" TextMode="MultiLine"
                                        ValidationGroup="ReceiveLocation" />
                                </InsertItemTemplate>
                            </asp:TemplateField>
                            <asp:CommandField ShowInsertButton="True" ValidationGroup="ReceiveLocation" ShowEditButton="True" />
                        </Fields>
                    </asp:DetailsView>
                </td>
                <td valign="top">
                    <asp:Panel ID="pnlFTPInfo" runat="server" Visible="False">
                        <table border="0" cellpadding="5" cellspacing="1">
                            <tr>
                                <td class="FieldHeader">
                                    Server Address</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtServerAddress" runat="server" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Server Port</td>
                                <td class="AlternatingRow">
                                    <asp:TextBox ID="txtServerPort" runat="server" Text="21" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    User Name</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtUserName" runat="server" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Password</td>
                                <td class="AlternatingRow">
                                    <asp:TextBox ID="txtPassword" runat="server" TextMode="Password" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Representation</td>
                                <td class="Row">
                                    <asp:DropDownList ID="ddlRepresentationType" runat="server" Enabled="false">
                                        <asp:ListItem>binary</asp:ListItem>
                                        <asp:ListItem>ASCII</asp:ListItem>
                                    </asp:DropDownList>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Folder</td>
                                <td class="AlternatingRow">
                                    <asp:TextBox ID="txtTargetFolder" runat="server" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    File Mask</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtTargetFileName" runat="server" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Log File Name</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtCommandLogFilename" runat="server" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Temporary Folder</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtSpoolingFolder" runat="server" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Maximum Batch Size</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtMaximumBatchSize" runat="server" Text="0" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Maximum Number of Files In Batch</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtMaximumNumberOfFiles" runat="server" Text="0" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Error Threshold</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtErrorThreshold" runat="server" Text="10" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Max File Size</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtMaxFileSize" runat="server" Text="100" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Firewall Address</td>
                                <td class="AlternatingRow">
                                    <asp:TextBox ID="txtFirewallAddress" runat="server" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Firewall Port</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtFirewallPort" runat="server" Text="21" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Firewall User</td>
                                <td class="AlternatingRow">
                                    <asp:TextBox ID="txtFirewallUser" runat="server" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Firewall Password</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtFirewallPassword" runat="server" TextMode="Password" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Firewall Type</td>
                                <td class="AlternatingRow">
                                    <asp:DropDownList ID="ddlFirewallType" runat="server" Enabled="false">
                                        <asp:ListItem Value="NoFirewall">None</asp:ListItem>
                                        <asp:ListItem>SOCKS 4</asp:ListItem>
                                        <asp:ListItem>SOCKS 5</asp:ListItem>
                                    </asp:DropDownList>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Firewall Mode</td>
                                <td class="Row">
                                    <asp:DropDownList ID="ddlPassiveMode" runat="server" Enabled="false">
                                        <asp:ListItem>Active</asp:ListItem>
                                        <asp:ListItem>Passive</asp:ListItem>
                                    </asp:DropDownList>
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Polling Interval</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtPollingInt" runat="server" Text="60" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Polling Unit of Measure</td>
                                <td class="Row">
                                    <asp:DropDownList ID="ddlPollingUnitOfMeasure" runat="server" Enabled="false">
                                        <asp:ListItem>Seconds</asp:ListItem>
                                        <asp:ListItem>Minutes</asp:ListItem>
                                        <asp:ListItem>Hours</asp:ListItem>
                                        <asp:ListItem>Days</asp:ListItem>
                                    </asp:DropDownList>
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                    <asp:Panel ID="pnlSQLInfo" runat="server" Visible="False">
                        <table border="0" cellpadding="5" cellspacing="1">
                            <tr>
                                <td class="FieldHeader">
                                    Connection String</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtConnString" runat="server" Rows="4" Columns="50" TextMode="MultiLine"
                                        Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Response Document Root Element Name</td>
                                <td class="AlternatingRow">
                                    <asp:TextBox ID="txtRootElementName" runat="server" Columns="50" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Document Target Namespace</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtTargetNamespace" runat="server" Columns="50" Enabled="false" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                    <asp:Panel ID="pnlFILEInfo" runat="server" Visible="False">
                        <table border="0" cellpadding="5" cellspacing="1">
                            <tr>
                                <td class="FieldHeader">
                                    Folder</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtFolder" runat="server" Columns="40" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    File Mask</td>
                                <td class="AlternatingRow">
                                    <asp:TextBox ID="txtFileMask" runat="server" Columns="40" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Polling Interval (ms)</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtPollingInterval" runat="server" Text="60000" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Number of Messages in a Batch</td>
                                <td class="AlternatingRow">
                                    <asp:TextBox ID="txtBatchSize" runat="server" Text="2" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Max. Batch Size (in bytes)</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtBatchSizeInBytes" runat="server" Text="102400" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Network Failure Retry Interval (min)</td>
                                <td class="AlternatingRow">
                                    <asp:TextBox ID="txtFileNetFailRetryInt" runat="server" Text="5" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Network Failure Retry Count</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtFileNetFailRetryCount" runat="server" Text="5" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Remove Received Files</td>
                                <td class="AlternatingRow">
                                    <asp:CheckBox ID="chkRemoveReceivedFiles" runat="server" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Remove Received File Delay (ms)</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtRemoveReceivedFileDelay" runat="server" Text="10" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Remove Received File Retry Count</td>
                                <td class="AlternatingRow">
                                    <asp:TextBox ID="txtRemoveReceivedFileRetryCount" runat="server" Text="5" Enabled="false" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldHeader">
                                    Remove Received File Max Interval (ms)</td>
                                <td class="Row">
                                    <asp:TextBox ID="txtRemoveReceivedFileMaxInterval" runat="server" Text="300000" Enabled="false" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </td>
                <td valign="top">
                    <asp:ValidationSummary ID="ValidationSummary2" runat="server" ValidationGroup="ReceiveLocation" />
                </td>
            </tr>
        </table>
    </asp:Panel>
    <asp:ObjectDataSource ID="ReceiveLocationDS" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="ListReceiveLocations" TypeName="BTReceiveLocationOperations" DataObjectTypeName="BTOps.BTReceiveLocation"
        DeleteMethod="DeleteReceiveLocation">
        <SelectParameters>
            <asp:QueryStringParameter Name="applicationName" QueryStringField="app" Type="String" />
            <asp:QueryStringParameter Name="portName" QueryStringField="port" Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="ReceivePipelineDS" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="ListReceivePipelines" TypeName="BTPipelineOperations">
        <SelectParameters>
            <asp:QueryStringParameter Name="applicationName" QueryStringField="app" Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="SendPipelineDS" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="ListSendPipelines" TypeName="BTPipelineOperations">
        <SelectParameters>
            <asp:QueryStringParameter Name="applicationName" QueryStringField="app" Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
    <asp:ObjectDataSource ID="ReceiveLocationDetailsDS" runat="server" DataObjectTypeName="BTOps.BTReceiveLocation"
        InsertMethod="CreateReceiveLocation" OldValuesParameterFormatString="original_{0}"
        SelectMethod="ReceiveLocationByName" TypeName="BTReceiveLocationOperations" UpdateMethod="UpdateReceiveLocation"
        OnInserting="ReceiveLocationDetailsDS_Inserting" OnUpdating="ReceiveLocationDetailsDS_Updating">
        <SelectParameters>
            <asp:QueryStringParameter Name="applicationName" QueryStringField="app" Type="String" />
            <asp:QueryStringParameter Name="portName" QueryStringField="port" Type="String" />
            <asp:ControlParameter ControlID="grdReceiveLocations" Name="name" PropertyName="SelectedValue"
                Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
</asp:Content>
