﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/MasterPage.master" AutoEventWireup="true"
    CodeFile="Schema.aspx.cs" Inherits="BTOps_Schema" Title="BizTalk Server Administration Web Console - Schemas"
    StylesheetTheme="Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <asp:Label ID="lblPageHeader" runat="server" CssClass="PageHeader" Text="Schemas" /><br />
    <br />
    <strong>Applications:</strong>
    <asp:DropDownList ID="ddlApps" runat="server" AutoPostBack="True" DataSourceID="ApplicationDS"
        DataTextField="Name" DataValueField="Name" AppendDataBoundItems="True" OnDataBound="ddlApps_DataBound">
        <asp:ListItem Value="" Text="Select..." />
    </asp:DropDownList>&nbsp;
    <br />
    <br />
    <asp:GridView ID="grdSchemas" runat="server" DataSourceID="SchemaDS" AutoGenerateColumns="False"
        AllowPaging="True">
        <Columns>
            <asp:BoundField DataField="FullName" HeaderText="Name" />
            <asp:BoundField DataField="TargetNameSpace" HeaderText="Target Namespace" />
            <asp:BoundField DataField="AssemblyQualifiedName" HeaderText="Assembly" />
            <asp:BoundField DataField="RootName" HeaderText="Root Name" />
            <asp:BoundField DataField="Type" HeaderText="Schema Type" />
        </Columns>
    </asp:GridView>
    <asp:ObjectDataSource ID="ApplicationDS" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="ListApplicationNames" TypeName="BTApplicationOperations" />
    <asp:ObjectDataSource ID="SchemaDS" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="ListSchemas" TypeName="BTSchemaOperations">
        <SelectParameters>
            <asp:ControlParameter ControlID="ddlApps" Name="applicationName" PropertyName="SelectedValue"
                Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
</asp:Content>
