using System.ComponentModel;
using BTOps;

/// <summary>
/// Summary description for BTOrchestrationOperations
/// </summary>
[DataObject]
public class BTOrchestrationOperations
{
    [DataObjectMethod(DataObjectMethodType.Select, true)]
    public BTOrchestration[] ListOrchestrations(string applicationName)
    {
        Operations btOps = new Operations();
        return btOps.Orchestrations(applicationName, "");
    }

    [DataObjectMethod(DataObjectMethodType.Select, false)]
    public BTOrchestration[] ListOrchestrationByName(string applicationName, string name)
    {
        Operations btOps = new Operations();
        return btOps.Orchestrations(applicationName, name);
    }
}