﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/MasterPage.master" AutoEventWireup="true"
    CodeFile="Application.aspx.cs" Inherits="BTOps_Application" Title="BizTalk Server Administration Web Console - Applications"
    StylesheetTheme="Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <asp:Label ID="lblPageHeader" runat="server" CssClass="PageHeader" Text="Applications" /><br />
    <asp:GridView ID="grdApplications" runat="server" DataSourceID="ApplicationDS" AutoGenerateColumns="False"
        EmptyDataText="No applications found..." OnRowDataBound="grdApplications_RowDataBound">
        <Columns>
            <asp:BoundField DataField="Name" HeaderText="Name" />
            <asp:CheckBoxField DataField="IsDefaultApplication" HeaderText="Default Application">
                <ItemStyle HorizontalAlign="Center" />
                <ControlStyle CssClass="CheckBox" />
            </asp:CheckBoxField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="lnkOrchestration" runat="server" NavigateUrl='<%# Eval("Name", "Orchestration.aspx?app={0}") %>'
                        Text="Orchestrations"></asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="lnkSchema" runat="server" NavigateUrl='<%# Eval("Name", "Schema.aspx?app={0}") %>'
                        Text="Schemas"></asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="lnkReceivePort" runat="server" NavigateUrl='<%# Eval("Name", "ReceivePort.aspx?app={0}") %>'
                        Text="Receive Ports"></asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="lnkSendPort" runat="server" NavigateUrl='<%# Eval("Name", "SendPort.aspx?app={0}") %>'
                        Text="Send Ports"></asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="lnkPipeline" runat="server" NavigateUrl='<%# Eval("Name", "Pipeline.aspx?app={0}") %>'
                        Text="Pipelines"></asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <asp:ObjectDataSource ID="ApplicationDS" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="ListApplications" TypeName="BTApplicationOperations"></asp:ObjectDataSource>
</asp:Content>
