﻿<%@ Page Language="C#" MasterPageFile="~/MasterPages/MasterPage.master" AutoEventWireup="true"
    CodeFile="Orchestration.aspx.cs" Inherits="BTOps_Orchestration" Title="BizTalk Server Administration Web Console - Orchestrations"
    StylesheetTheme="Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <asp:Label ID="lblPageHeader" runat="server" CssClass="PageHeader" Text="Orchestrations" /><br />
    <br />
    <strong>Applications:</strong>
    <asp:DropDownList ID="ddlApps" runat="server" AutoPostBack="True" DataSourceID="ApplicationDS"
        DataTextField="Name" DataValueField="Name" AppendDataBoundItems="True" OnDataBound="ddlApps_DataBound">
        <asp:ListItem Text="Select..." Value="" />
    </asp:DropDownList>
    <br />
    <br />
    <asp:GridView ID="grdOrchestrations" runat="server" DataSourceID="OrchestrationDS"
        AutoGenerateColumns="False" EmptyDataText="No orchestrations found...">
        <Columns>
            <asp:BoundField DataField="Name" HeaderText="Name" />
            <asp:BoundField DataField="Status" HeaderText="Status" />
            <asp:BoundField DataField="HostName" HeaderText="Host" />
            <asp:BoundField DataField="AssemblyQualifiedName" HeaderText="Assembly" />
        </Columns>
    </asp:GridView>
    <asp:ObjectDataSource ID="ApplicationDS" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="ListApplicationNames" TypeName="BTApplicationOperations" />
    <asp:ObjectDataSource ID="OrchestrationDS" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="ListOrchestrations" TypeName="BTOrchestrationOperations">
        <SelectParameters>
            <asp:ControlParameter ControlID="ddlApps" Name="applicationName" PropertyName="SelectedValue"
                Type="String" />
        </SelectParameters>
    </asp:ObjectDataSource>
</asp:Content>
